Package com.macrofocus.high_d.scatterplot

# Class AbstractScatterPlotModel<Color,Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplot.AbstractScatterPlotModel<Color,Row,Column>

All Implemented Interfaces:
  `ScatterPlotModel<Color,Row,Column>`

Direct Known Subclasses:
  `ControlChartScatterPlotModel`, `DefaultScatterPlotModel`, `MDSScatterPlotModel`

public abstract class AbstractScatterPlotModel<Color,Row,Column> extends Object implements ScatterPlotModel<Color,Row,Column>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractScatterPlotModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addScatterPlotListener(ScatterPlotListener listener)`
  Add a listener for receiving interesting events about changes in the model.
  `protected void`
  `fireScatterPlotChanged()`
  `void`
  `removeScatterPlotListener(ScatterPlotListener listener)`
  Remove a listener from the list of listeners that should be notified about changes in the model.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.scatterplot.ScatterPlotModel

  `getAnnotationDataFrame, getAxisGroupModel, getColoring, getColorMapping, getDataFrame, getFilter, getObject, getObjectCount, getProbing, getSelection, getSize, getSizeAxisModel, getVisual, getX, getXAxisModel, getY, getY2, getY2AxisModel, getYAxisModel`

- ## Constructor Details

  - ### AbstractScatterPlotModel

    public AbstractScatterPlotModel()

- ## Method Details

  - ### addScatterPlotListener

    public void addScatterPlotListener(ScatterPlotListener listener)
    Add a listener for receiving interesting events about changes in the model.
    Specified by:
      `addScatterPlotListener` in interface `ScatterPlotModel<Color,Row,Column>`
    Parameters:
      `listener` - the listener to add.

  - ### removeScatterPlotListener

    public void removeScatterPlotListener(ScatterPlotListener listener)
    Remove a listener from the list of listeners that should be notified about changes in the model.
    Specified by:
      `removeScatterPlotListener` in interface `ScatterPlotModel<Color,Row,Column>`
    Parameters:
      `listener` - the listener to remove.

  - ### fireScatterPlotChanged

    protected void fireScatterPlotChanged()